#pragma once
#pragma warning( disable:4530 )

FIELDS& operator<<( FIELDS&fields,const std::string& name );
FIELDS& operator<<( FIELDS&fields,const pair<char*,size_t>& pchars );
FIELDS& operator<<( FIELDS&fields,const pair<BYTE*,size_t>& pbytes );

template<typename T> FIELDS& operator<<( FIELDS&fields,const T t)
{
	strstream s;
	s.imbue( locale("C") );
	s << t << '\0';
	fields.push_back( s.str() );	
	return fields;
}


FIELDS& operator>>( FIELDS&fields,std::string& name );
FIELDS& operator>>( FIELDS&fields,pair<char*,size_t>& pchars );
FIELDS& operator>>( FIELDS&fields,pair<BYTE*,size_t>& pbytes );

template<typename T> FIELDS& operator>>( FIELDS&fields,T& t)
{
	if ( fields.size() ){
		strstream s;
		s.imbue( locale("C") );
		s << fields.front();
		s >> t;
		fields.erase( fields.begin() );
	}
	return fields;
}

