#pragma once

#include "common.h"
#include <Irrlicht.h>
#include <IMeshLoader.h>
#include <SAnimatedMesh.h> 
#include <SMesh.h> 
#include <SSkinMeshBuffer.h> 
#include <vector>

#include "SPMDSkinMeshBuffer.h"

using namespace irr;
using namespace core;
using namespace scene;
using namespace video;
using namespace io;
using namespace gui;

// PMD̃}eAێNX
class CPMDMaterial : public SMaterial
{
public:
    CPMDMaterial(void);
    ~CPMDMaterial(void);

    // ̃}eAɑ郁bV
    SPMDSkinMeshBuffer *ssmbuffer;
    // _AeNX`WA@xNg
    irr::f32 *Vertices, *UData, *VData, *NVector;
    // ʂ̃CfbNX
    irr::u16 *Indices;
    // {[
    irr::u16 *bone1, *bone2, *boneWeight;

    // _ACfbNX
    int VertexCount;
    int IndexCount;
};
