#include "SPMDSkinMeshBuffer.h"

SPMDSkinMeshBuffer::SPMDSkinMeshBuffer(void)
{
}

SPMDSkinMeshBuffer::~SPMDSkinMeshBuffer(void)
{
}

void SPMDSkinMeshBuffer::append(const float* const vertices, u32 numVertices, const u16* const indices, u32 numIndices)
{
    // _W̐ݒ
    video::S3DVertex temp_vertex;
    for (int i=0; i<numVertices; i++)
    {
        temp_vertex.Pos.X = (f32)vertices[3*i];
        temp_vertex.Pos.Y = (f32)vertices[3*i+1];
        temp_vertex.Pos.Z = (f32)vertices[3*i+2];
        // SSkinMeshBufferNX̒_
        Vertices_Standard.push_back(temp_vertex);
    }

    // ʂ̃CfbNX̐ݒ
    for (int i=0; i<numIndices; i++)
    {
        Indices.push_back(indices[i]);
    }
}

void SPMDSkinMeshBuffer::set2TCoords(float* udata, float* vdata)
{
    for (int i=0; i<Vertices_2TCoords.size(); i++)
    {
        // SSkinMeshBufferNX̃eNX`W
        Vertices_2TCoords[i].TCoords.X = udata[i];
        Vertices_2TCoords[i].TCoords.Y = vdata[i];
    }
}

void SPMDSkinMeshBuffer::setMaterial(irr::video::SMaterial& sm)
{
    // SSkinMeshBufferNX̃}eA
    Material = sm;
}

void SPMDSkinMeshBuffer::setNormals(float *normal)
{
    // _̖@xNgݒ
    video::S3DVertex *temp_pointer = Vertices_Standard.pointer();
    for (int i=0; i<Vertices_Standard.size(); i++)
    {
        temp_pointer->Normal.set(normal[3*i], normal[3*i+1], normal[3*i+2]);
        temp_pointer->Normal.normalize();
        temp_pointer++;
    }
}