#pragma once
#pragma warning( disable:4530 )
class PARSE_LINE 
{
public:
	void Import( const FIELDS&fields );
	void Export( FIELDS&fields ) const;
	const string ToText(); 
private:
	FIELDS fields;
};

class clsCSVFile
{
public:
	clsCSVFile(void);
	~clsCSVFile(void);

	BOOL Open(const string&name );
	BOOL Commit(const string&name );

	vector<PARSE_LINE>& GetBuffer();
	void AddFields( const FIELDS& fields ) ;

public:
	vector<PARSE_LINE> m_csv;
};


typedef vector<PARSE_LINE> PARSE_LINE_BUFFER;

