#pragma once

#include <Irrlicht.h>
#include <IMeshLoader.h>
#include <SAnimatedMesh.h> 
#include <SMesh.h> 
#include <SSkinMeshBuffer.h> 
#include <vector>

using namespace irr;
using namespace core;
using namespace scene;
using namespace video;
using namespace io;
using namespace gui;

// _ێNX
class SPMDSkinMeshBuffer : public SSkinMeshBuffer
{
public:
    SPMDSkinMeshBuffer(void);
    ~SPMDSkinMeshBuffer(void);

    // PMD璸_ǉ
    void append(const float* const vertices, u32 numVertices, const u16* const indices, u32 numIndices);
    // eNX`Wn̐ݒ
    void set2TCoords(float* udata, float* vdata);
    // }eA̐ݒ
    void setMaterial(irr::video::SMaterial& sm);
    // PMD@ǉ
    void setNormals(float* normal);
};
